<?php
/**
 * @package   AkeebaTicketSystem
 * @copyright Copyright (c)2011-2018 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Site\View\Latests;

use Akeeba\TicketSystem\Admin\Helper\Permissions;
use Akeeba\TicketSystem\Site\Model\Tickets;
use JText;

defined('_JEXEC') or die;

class Html extends \FOF30\View\DataView\Html
{
    /** @var bool Is the current user a manager? */
    protected $isManager = false;

    protected function onBeforeBrowse()
    {
	    /** @var Tickets $model */
	    $model             = $this->getModel();
	    $status            = $model->getState('status', 'O');
	    $category          = $model->getState('category', null);
	    $allowedCategories = Permissions::getManagerCategories();

	    if (!empty($category) && !in_array($category, $allowedCategories))
	    {
		    $this->container->platform->raiseError(403, JText::_('JLIB_APPLICATION_ERROR_ACCESS_FORBIDDEN'));
	    }

	    // Apply custom filters for frontend
	    $model->categories($allowedCategories)
		    ->enabled(1)
		    ->status($status)
		    ->filterNewest(1)
		    ->filter_order_Dir('ASC');

	    parent::onBeforeBrowse();
    }
}
